=== pics/hicolor/CMakeLists.txt ===
ecm_install_icons(
    ICONS
        16-actions-borderpainter.png
        16-actions-insert-page-break.png
        16-actions-curve-connector.png
        16-actions-lines-connector.png
        16-actions-standard-connector.png
        16-actions-straight-connector.png
        16-actions-table.png
        22-actions-text-put-on-path.png
        22-actions-text-remove-from-path.png
        22-actions-artistictext-tool.png
        22-actions-edittext.png
        22-actions-select.png
        22-actions-table.png
        24-actions-insert-page-break.png
        32-actions-insert-endnote.png
        32-actions-insert-footnote.png
        32-actions-insert-page-break.png
        32-actions-insert-table-of-contents.png
        32-actions-shape-choose.png
        32-actions-table.png
        32-mimetypes-x-shape-connection.png
        32-mimetypes-x-shape-image.png
        32-mimetypes-x-shape-text.png
        48-actions-table.png
        sc-actions-text-put-on-path.svg
        sc-actions-text-remove-from-path.svg
        sc-actions-artistictext-tool.svg
        sc-actions-table.svgz
    DESTINATION ${KDE_INSTALL_DATADIR}/calligra/icons
    THEME hicolor
)
