=== plugins/colorengines/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kocolorspaces\")

if(LCMS2_FOUND)
  add_subdirectory(lcms2)
endif()
