=== debian/changelog ===
calligra (1:25.08.2+dfsg-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Mon, 13 Oct 2025 08:45:53 +0100
