=== debian/changelog ===
calligra (1:25.08.2+p24.04+vstable+git20251019.0000-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 00:00:48 +0000
