=== debian/control ===
Source: calligra
Section: kde
Priority: optional
Uploaders: Adrien Grellier <perso@adrieng.fr>,
           Raúl Sánchez Siles <rasasi78@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cauchy-dev,
               cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcalendarcore-dev,
               kf6-kcmutils-dev,
               kf6-kcontacts-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-kholidays-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kitemviews-dev,
               kf6-knotifications-dev,
               kf6-knotifyconfig-dev,
               kf6-kparts-dev,
               kf6-ktexteditor-dev,
               kf6-ktextwidgets-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-sonnet-dev,
               kf6-threadweaver-dev,
               kpim6-akonadi-dev,
               libboost-dev,
               libboost-system-dev,
               libeigen3-dev,
               libetonyek-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libgit2-dev,
               libgsl-dev,
               libicu-dev,
               libilmbase-dev,
               libimath-dev,
               libjpeg-dev,
               libkchart6-dev,
               libkgantt6-dev,
               libkproperty3-dev,
               libkreport3-dev,
               liblcms2-dev (>= 2.4),
               libmarble-dev,
               libodfgen-dev,
               libopenjpeg-dev | libopenjp2-7-dev,
               libphonon4qt6-dev,
               libpng-dev,
               libqca-qt6-2-dev,
               libvisio-dev (>= 0.1),
               libwpd-dev (>= 0.10),
               libwpg-dev (>= 0.3),
               libwps-dev (>= 0.4),
               libxbase64-dev,
               libxml2-dev,
               okular-dev,
               pkg-config,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               plasma-activities-dev,
               pstoedit,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev,
               qtkeychain-qt6-dev,
               shared-mime-info,
               vc-dev,
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: http://www.calligra.org/
Vcs-Git: https://invent.kde.org/neon/extras/calligra.git
Vcs-Browser: https://invent.kde.org/neon/extras/calligra
Maintainer: Neon CI <neon@kde.org>

Package: calligra
Architecture: any
Depends: qt6-base, qt6-svg, ${misc:Depends}, ${shlibs:Depends}
Breaks: braindump (<< 1:4),
        calligra (<< 1:4),
        calligra-data (<< 1:4),
        calligra-gemini (<< 1:4),
        calligra-gemini-data (<< 1:4),
        calligra-libs (<< 1:4),
        calligra-reports-map-element (<< 1:4),
        calligra-reports-web-element (<< 1:4),
        calligraactive (<< 1:4),
        calligraauthor (<< 1:4),
        calligraflow (<< 1:4),
        calligraflow-data (<< 1:4),
        calligragemini (<< 1:4),
        calligrasheets (<< 1:4),
        calligrasheets-data (<< 1:4),
        calligrastage (<< 1:4),
        calligrastage-data (<< 1:4),
        calligrawords (<< 1:4),
        calligrawords-common (<< 1:4),
        calligrawords-data (<< 1:4),
        karbon (<< 1:4),
        okular-backend-odp (<< 1:4),
        okular-backend-odt (<< 1:4)
Replaces: braindump (<< 1:4),
          calligra (<< 1:4),
          calligra-data (<< 1:4),
          calligra-gemini (<< 1:4),
          calligra-gemini-data (<< 1:4),
          calligra-libs (<< 1:4),
          calligra-reports-map-element (<< 1:4),
          calligra-reports-web-element (<< 1:4),
          calligraactive (<< 1:4),
          calligraauthor (<< 1:4),
          calligraflow (<< 1:4),
          calligraflow-data (<< 1:4),
          calligragemini (<< 1:4),
          calligrasheets (<< 1:4),
          calligrasheets-data (<< 1:4),
          calligrastage (<< 1:4),
          calligrastage-data (<< 1:4),
          calligrawords (<< 1:4),
          calligrawords-common (<< 1:4),
          calligrawords-data (<< 1:4),
          karbon (<< 1:4),
          okular-backend-odp (<< 1:4),
          okular-backend-odt (<< 1:4)
Description: extensive productivity and creative suite
 This suite is a set of applications written to help you to accomplish your
 work. It includes office applications such as a word processor,
 a spreadsheet, a presentation program, a database application, with raster
 and vector graphics tools, etc.
