## calligra 25.08.2+p24.04+vstable+git20251020.0944

=== debian/changelog ===
calligra (1:25.08.2+p24.04+vstable+git20251020.0944-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 09:44:13 +0000
