## calligra 25.08.3

=== debian/changelog ===
calligra (1:25.08.3-0zneon+24.04+noble+release+build30) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 06:09:55 +0000

calligra (1:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:46:51 +1000
